csLightProperties Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
csLightProperties Struct Reference

Light properties, as needed by the attenuation and lighting functors. More...

`#include <csgfx/vertexlight.h>`

List of all members.

## Public Member Functions
| csLightProperties (size_t lightNum, csLightShaderVarCache &svcache, const csShaderVariableStack &stack, const csReversibleTransform &objectToWorld=csReversibleTransform())
| Convenience constructor to fill the structure from a set of shader variables.
## Public Attributes
csVector3 | attenuationConsts
| Attenuation coefficients (for CLQ attenuation)
csLightAttenuationMode | attenuationMode
| Light attenuation mode.
csColor | color
| Light diffuse color.
csVector3 | dirObject
| Light direction (object space).
csVector3 | posObject
| Light position (object space)
csColor | specular
| Specular color.
float | spotFalloffInner
| Spotlight inner falloff.
float | spotFalloffOuter
| Spotlight outer falloff.
csLightType | type
| Light type.

## Detailed Description

Light properties, as needed by the attenuation and lighting functors.

Definition at line 42 of file vertexlight.h.

## Constructor & Destructor Documentation

csLightProperties::csLightProperties | ( | size_t | lightNum,
|  | csLightShaderVarCache & | svcache,
|  | const csShaderVariableStack & | stack,
|  | const csReversibleTransform & | objectToWorld = `csReversibleTransform ()`
| ) |  | `[inline]`

Convenience constructor to fill the structure from a set of shader variables.

Definition at line 90 of file vertexlight.h.

## Member Data Documentation

csVector3 csLightProperties::attenuationConsts

Attenuation coefficients (for CLQ attenuation)

Definition at line 63 of file vertexlight.h.

csLightAttenuationMode csLightProperties::attenuationMode

Light attenuation mode.

Definition at line 80 of file vertexlight.h.

csColor csLightProperties::color

Light diffuse color.

Definition at line 72 of file vertexlight.h.

csVector3 csLightProperties::dirObject

Light direction (object space).

Remarks:
  Should be a unit vector.

Definition at line 70 of file vertexlight.h.

csVector3 csLightProperties::posObject

Light position (object space)

Definition at line 65 of file vertexlight.h.

csColor csLightProperties::specular

Specular color.

Definition at line 82 of file vertexlight.h.

float csLightProperties::spotFalloffInner

Spotlight inner falloff.

Definition at line 74 of file vertexlight.h.

float csLightProperties::spotFalloffOuter

Spotlight outer falloff.

Definition at line 76 of file vertexlight.h.

csLightType csLightProperties::type

Light type.

Definition at line 78 of file vertexlight.h.

The documentation for this struct was generated from the following file:

- csgfx/vertexlight.h